'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TextInput = _configContext$inputC.TextInput,
        CheckboxInput = _configContext$inputC.CheckboxInput;
  const config = configContext.configHelpers.configKey;
  const DATA_TYPE_BOOL = configContext.dataTypes.DATA_TYPE_BOOL;


  return {
    document: {
      'ns2:acquisitions_common': {
        acquisitionSources: {
          acquisitionSource: {
            [config]: {
              view: {
                props: {
                  source: 'person/local'
                }
              }
            }
          }
        },
        owners: {
          owner: {
            [config]: {
              view: {
                props: {
                  source: 'person/local'
                }
              }
            }
          }
        }
      },
      'ns2:acquisitions_dvp': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/acquisition/local/dvp'
          }
        },
        archivesSpaceRecordId: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.acquisitions_dvp.archivesSpaceRecordId.name',
                'defaultMessage': 'ArchivesSpace record ID'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        restrictionsApply: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.acquisitions_dvp.restrictionsApply.name',
                'defaultMessage': 'Restrictions apply?'
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        publish: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.acquisitions_dvp.publish.name',
                'defaultMessage': 'Publish?'
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        accessRestrictions: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.acquisitions_dvp.accessRestrictions.name',
                'defaultMessage': 'Access restrictions?'
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        },
        useRestrictions: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.acquisitions_dvp.useRestrictions.name',
                'defaultMessage': 'Use restrictions?'
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        }
      }
    }
  };
};