"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row,
        Cols = _configContext$layout.Cols,
        Col = _configContext$layout.Col;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "acquisitionReferenceNumber" }),
          React.createElement(Field, { name: "accessionDateGroup" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "archivesSpaceRecordId", subpath: "ns2:acquisitions_dvp" }),
          React.createElement(
            Field,
            { name: "acquisitionDateGroupList" },
            React.createElement(Field, { name: "acquisitionDateGroup" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "acquisitionMethod" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            InputTable,
            { name: "acquisitionAuthorizer" },
            React.createElement(Field, { name: "acquisitionAuthorizer" }),
            React.createElement(Field, { name: "acquisitionAuthorizerDate" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "acquisitionSources" },
            React.createElement(Field, { name: "acquisitionSource" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "owners" },
            React.createElement(Field, { name: "owner" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "restrictionsApply", subpath: "ns2:acquisitions_dvp" }),
        React.createElement(Field, { name: "publish", subpath: "ns2:acquisitions_dvp" }),
        React.createElement(Field, { name: "accessRestrictions", subpath: "ns2:acquisitions_dvp" }),
        React.createElement(Field, { name: "useRestrictions", subpath: "ns2:acquisitions_dvp" })
      ),
      React.createElement(Field, { name: "acquisitionNote" }),
      React.createElement(Field, { name: "acquisitionProvisos" })
    )
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.acquisition.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});