'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        CompoundInput = _configContext$inputC.CompoundInput,
        TermPickerInput = _configContext$inputC.TermPickerInput;
  const config = configContext.configHelpers.configKey;

  // const {
  //   DATA_TYPE_STRUCTURED_DATE,
  // } = configContext.dataTypes;

  // const {
  //   extensions,
  // } = configContext.config;

  return {
    document: {
      'ns2:collectionobjects_common': {
        titleGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          titleGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.titleGroup.name',
                  'defaultMessage': 'Title'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            }
          }
        },
        //
        // Object Content Section
        //
        contentActivities: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          contentActivity: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.contentActivity.name',
                  'defaultMessage': 'Activity'
                }
              }),
              repeating: true,
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/associated'
                }
              }
            }
          }
        },
        contentPlaces: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          contentPlace: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.contentPlace.name',
                  'defaultMessage': 'Place'
                }
              }),
              repeating: true,
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'place/local'
                }
              }
            }
          }
        },
        contentEventNameGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          contentEventNameGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.contentEventNameGroup.name',
                  'defaultMessage': 'Event'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            contentEventName: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.collectionobjects_common.contentEventName.name',
                    'defaultMessage': 'Name'
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/associated'
                  }
                }
              }
            }
          }
        },
        //
        // Object Production Section
        //
        objectProductionPlaceGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          objectProductionPlaceGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.objectProductionPlaceGroup.name',
                  'defaultMessage': 'Production place'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            objectProductionPlace: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    'id': 'field.collectionobjects_common.objectProductionPlace.fullName',
                    'defaultMessage': 'Production place'
                  },
                  name: {
                    'id': 'field.collectionobjects_common.objectProductionPlace.name',
                    'defaultMessage': 'Place'
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local'
                  }
                }
              }
            }
          }
        },
        objectProductionPersonGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          objectProductionPersonGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.collectionobjects_common.objectProductionPersonGroup.name',
                  'defaultMessage': 'Production person'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            objectProductionPersonRole: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.collectionobjects_common.objectProductionPersonRole.name',
                    'defaultMessage': 'Role'
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'objectproductionrole'
                  }
                }
              }
            }
          }
        }
      }
    }
  };
};