"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  const Field = configContext.recordComponents.Field;

  // const {
  //   extensions,
  // } = configContext.config;

  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "id", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "objectNumber" }),
          React.createElement(
            Field,
            { name: "otherNumberList" },
            React.createElement(
              Field,
              { name: "otherNumber" },
              React.createElement(Field, { name: "numberValue" }),
              React.createElement(Field, { name: "numberType" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "briefDescriptions" },
            React.createElement(Field, { name: "briefDescription" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "titleGroupList" },
          React.createElement(
            Field,
            { name: "titleGroup" },
            React.createElement(Field, { name: "title" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "objectNameList" },
            React.createElement(
              Field,
              { name: "objectNameGroup" },
              React.createElement(Field, { name: "objectName" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "collection" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "recordStatus" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "publishToList" },
            React.createElement(Field, { name: "publishTo" })
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "desc", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "contentActivities" },
            React.createElement(Field, { name: "contentActivity" })
          ),
          React.createElement(
            Field,
            { name: "contentConcepts" },
            React.createElement(Field, { name: "contentConcept" })
          ),
          React.createElement(Field, { name: "contentDateGroup" }),
          React.createElement(
            Field,
            { name: "contentEventNameGroupList" },
            React.createElement(
              Field,
              { name: "contentEventNameGroup" },
              React.createElement(Field, { name: "contentEventName" }),
              React.createElement(Field, { name: "contentEventNameType" })
            )
          ),
          React.createElement(
            Field,
            { name: "contentLanguages" },
            React.createElement(Field, { name: "contentLanguage" })
          ),
          React.createElement(
            Field,
            { name: "contentOrganizations" },
            React.createElement(Field, { name: "contentOrganization" })
          ),
          React.createElement(
            Field,
            { name: "contentOtherGroupList" },
            React.createElement(
              Field,
              { name: "contentOtherGroup" },
              React.createElement(Field, { name: "contentOther" }),
              React.createElement(Field, { name: "contentOtherType" })
            )
          ),
          React.createElement(
            Field,
            { name: "contentPeoples" },
            React.createElement(Field, { name: "contentPeople" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "contentDescription" }),
          React.createElement(Field, { name: "contentNote" }),
          React.createElement(
            Field,
            { name: "contentPersons" },
            React.createElement(Field, { name: "contentPerson" })
          ),
          React.createElement(
            Field,
            { name: "contentPlaces" },
            React.createElement(Field, { name: "contentPlace" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "measuredPartGroupList" },
        React.createElement(
          Field,
          { name: "measuredPartGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(Field, { name: "dimensionSummary" }),
            React.createElement(
              Row,
              null,
              React.createElement(
                Field,
                { name: "dimensionSubGroupList" },
                React.createElement(
                  Field,
                  { name: "dimensionSubGroup" },
                  React.createElement(Field, { name: "measurementUnit" }),
                  React.createElement(Field, { name: "dimension" }),
                  React.createElement(Field, { name: "value" })
                )
              )
            )
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "prod", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "objectProductionDateGroupList" },
            React.createElement(Field, { name: "objectProductionDateGroup" })
          ),
          React.createElement(
            Field,
            { name: "objectProductionOrganizationGroupList" },
            React.createElement(
              Field,
              { name: "objectProductionOrganizationGroup" },
              React.createElement(Field, { name: "objectProductionOrganization" }),
              React.createElement(Field, { name: "objectProductionOrganizationRole" })
            )
          ),
          React.createElement(
            Field,
            { name: "objectProductionPeopleGroupList" },
            React.createElement(
              Field,
              { name: "objectProductionPeopleGroup" },
              React.createElement(Field, { name: "objectProductionPeople" }),
              React.createElement(Field, { name: "objectProductionPeopleRole" })
            )
          ),
          React.createElement(
            Field,
            { name: "objectProductionPersonGroupList" },
            React.createElement(
              Field,
              { name: "objectProductionPersonGroup" },
              React.createElement(Field, { name: "objectProductionPerson" }),
              React.createElement(Field, { name: "objectProductionPersonRole" })
            )
          ),
          React.createElement(
            Field,
            { name: "objectProductionPlaceGroupList" },
            React.createElement(
              Field,
              { name: "objectProductionPlaceGroup" },
              React.createElement(Field, { name: "objectProductionPlace" }),
              React.createElement(Field, { name: "objectProductionPlaceRole" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "objectProductionNote" }),
          React.createElement(
            Field,
            { name: "objectProductionReasons" },
            React.createElement(Field, { name: "objectProductionReason" })
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "reference", collapsible: true },
      React.createElement(
        Field,
        { name: "referenceGroupList" },
        React.createElement(
          Field,
          { name: "referenceGroup" },
          React.createElement(Field, { name: "reference" }),
          React.createElement(Field, { name: "referenceNote" })
        )
      )
    )
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.collectionobject.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  sortOrder: 0,
  template: template(configContext)
});