'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TermPickerInput = _configContext$inputC.TermPickerInput,
        DateInput = _configContext$inputC.DateInput,
        CompoundInput = _configContext$inputC.CompoundInput;
  const config = configContext.configHelpers.configKey;
  const DATA_TYPE_DATE = configContext.dataTypes.DATA_TYPE_DATE;


  return {
    document: {
      'ns2:intakes_common': {
        entryMethods: {
          entryMethod: {
            [config]: {
              view: {
                props: {
                  source: 'dvpentrymethod'
                }
              }
            }
          }
        }
      },
      'ns2:intakes_dvp': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/intake/local/dvp'
          }
        },
        interviewStatusGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          interviewStatusGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.intakes_dvp.interviewStatusGroup.name',
                  'defaultMessage': 'Interview status'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            interviewStatus: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    'id': 'field.intakes_dvp.interviewStatus.fullName',
                    'defaultMessage': 'Interview status'
                  },
                  name: {
                    'id': 'field.intakes_dvp.interviewStatus.name',
                    'defaultMessage': 'Status'
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'interviewstatus'
                  }
                }
              }
            },
            interviewDate: {
              [config]: {
                dataType: DATA_TYPE_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    'id': 'field.intakes_dvp.interviewDate.fullName',
                    'defaultMessage': 'Interview date'
                  },
                  name: {
                    'id': 'field.intakes_dvp.interviewDate.name',
                    'defaultMessage': 'Date'
                  }
                }),
                view: {
                  type: DateInput
                }
              }
            }
          }
        }
      }
    }
  };
};