'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TextInput = _configContext$inputC.TextInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        DateInput = _configContext$inputC.DateInput,
        StructuredDateInput = _configContext$inputC.StructuredDateInput,
        CompoundInput = _configContext$inputC.CompoundInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;
  const DATA_TYPE_STRUCTURED_DATE = configContext.dataTypes.DATA_TYPE_STRUCTURED_DATE;


  return {
    document: {
      'ns2:persons_dvp': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/person/local/dvp'
          }
        },
        dartmouthGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          dartmouthGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.persons_dvp.dartmouthGroup.name',
                  'defaultMessage': 'Darmouth connections'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput

              }
            },
            dartmouthConnection: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.persons_dvp.dartmouthConnection.name',
                    'defaultMessage': 'Connection'
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'dartmouthconnections'
                  }
                }
              }
            },
            dartmouthConnectionOther: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    'id': 'field.persons_dvp.dartmouthConnectionOther.fullName',
                    'defaultMessage': 'Other connection'
                  },
                  name: {
                    'id': 'field.persons_dvp.dartmouthConnectionOther.name',
                    'defaultMessage': 'Other'
                  }
                }),
                view: {
                  type: TextInput
                }
              }
            },
            collegeBranch: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.persons_dvp.collegeBranch.name',
                    'defaultMessage': 'College branch'
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'collegebranches'
                  }
                }
              }
            },
            yearsOfAttendanceDate: Object.assign({
              [config]: {
                dataType: DATA_TYPE_STRUCTURED_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.persons_dvp.yearsOfAttendanceDate.name',
                    'defaultMessage': 'Years active'
                  }
                }),
                searchView: {
                  type: DateInput
                },
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields),
            yearOfGraduationDate: Object.assign({
              [config]: {
                dataType: DATA_TYPE_STRUCTURED_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.persons_dvp.yearOfGraduationDate.name',
                    'defaultMessage': 'Year of graduation'
                  }
                }),
                searchView: {
                  type: DateInput
                },
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields)
          }
        }
      }
    }
  };
};