"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const InputTable = _configContext$record.InputTable,
        Field = _configContext$record.Field,
        Subrecord = _configContext$record.Subrecord;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Field,
        { name: "personTermGroupList" },
        React.createElement(
          Field,
          { name: "personTermGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termDisplayName" }),
              React.createElement(Field, { name: "termName" }),
              React.createElement(Field, { name: "termQualifier" }),
              React.createElement(Field, { name: "termStatus" })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termType" }),
              React.createElement(Field, { name: "termFlag" }),
              React.createElement(Field, { name: "termLanguage" }),
              React.createElement(Field, { name: "termPrefForLang" })
            ),
            React.createElement(
              InputTable,
              { name: "nameDetail" },
              React.createElement(Field, { name: "salutation" }),
              React.createElement(Field, { name: "title" }),
              React.createElement(Field, { name: "foreName" }),
              React.createElement(Field, { name: "middleName" }),
              React.createElement(Field, { name: "surName" }),
              React.createElement(Field, { name: "nameAdditions" }),
              React.createElement(Field, { name: "initials" })
            ),
            React.createElement(
              InputTable,
              { name: "termSource" },
              React.createElement(Field, { name: "termSource" }),
              React.createElement(Field, { name: "termSourceDetail" }),
              React.createElement(Field, { name: "termSourceID" }),
              React.createElement(Field, { name: "termSourceNote" })
            )
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "birthDateGroup" }),
            React.createElement(Field, { name: "birthPlace" })
          ),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "deathDateGroup" }),
            React.createElement(Field, { name: "deathPlace" })
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "connections", collapsible: true },
      React.createElement(
        Field,
        { name: "dartmouthGroupList", subpath: "ns2:persons_dvp" },
        React.createElement(
          Field,
          { name: "dartmouthGroup" },
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "dartmouthConnection" }),
            React.createElement(Field, { name: "dartmouthConnectionOther" })
          ),
          React.createElement(
            InputTable,
            null,
            React.createElement(Field, { name: "collegeBranch" }),
            React.createElement(Field, { name: "yearsOfAttendanceDate" }),
            React.createElement(Field, { name: "yearOfGraduationDate" })
          )
        )
      )
    ),
    React.createElement(Subrecord, { name: "contact" }),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});