export default {
  'about.title': 'Welcome to the Dartmouth Vietnam Project CollectionSpace Instance',
  'about.contentHTML': `
        <p>
            CollectionSpace is a free, open-source collections management application for museums,
            historical societies, natural science collections, and more.
        </p>
        <p>
            This prototype site is running the
            <a href="http://www.collectionspace.org/current_release/">current version</a> the
            <a href="https://wiki.collectionspace.org/x/xgDZCQ">Dartmouth Vietnam Project</a> of
            CollectionSpace.
        </p>
        <p>
            To log in, use the email <strong>admin@dvp.collectionspace.org</strong>, with the
            case-sensitive password <strong>Administrator</strong>. To view in read-only mode, use the
            email <strong>reader@dvp.collectionspace.org</strong> with the password
            <strong>reader</strong>.
        </p>
        <p>
            Not sure where to get started? Follow along with one of our quick-start guides:
        </p>
        <ul>
            <li>
                <span>Create a new object:</span>
                <a href="http://bit.ly/newobjpdf">PDF</a>
                <a href="https://vimeo.com/112212895">Screencast</a>
            </li>
            <li>
                <span>Link to an image:</span>
                <a href="http://bit.ly/linkimgpdf">PDF</a>
                <a href="https://vimeo.com/112214418">Screencast</a>
            </li>
            <li>
                <span>Add a storage location:</span>
                <a href="http://bit.ly/storlocpdf">PDF</a>
                <a href="https://vimeo.com/112818120">Screencast</a>
            </li>
        </ul>
    `,

  // For Acquisition Fields
  'field.acquisitions_common.acquisitionDateGroup.name': 'Interview date',
  'field.acquisitions_common.acquisitionSource.name': 'Creator - Interviewee',
  'field.acquisitions_common.owner.name': 'Creator - Interviewer',
  'field.acquisitions_common.acquisitionAuthorizer.name': 'Processor',

  // For Intake Fields
  'field.intakes_common.currentOwner.name': 'Volunteer name',
  'field.intakes_common.depositor.name': 'Interview assignee',
  'field.intakes_common.depositor.fullName': 'Interview assignee',
  'field.intakes_common.entryDate.name': 'Form submission date',
  'field.intakes_common.entryMethod.name': 'Form submission method',
  'field.intakes_common.entryNote.name': 'Vietnam experience',

  // For CollectionObject/Cataloging
  'panel.collectionobject.desc': 'Object Description and Content Info',
  'field.collectionobjects_common.titleGroup.name': 'Object title',

  // For Panels
  'panel.person.connections': 'Community Connections',
};
